Subject: Re: bug#8176: 24.0.50; GUI toolkit differences

From: Jason Rumney <[email-masked]>
Date: Wed, 06 Jul 2011 23:12:48 +0800

Tim Cross <[email-masked]> writes:

>>> The following code was evaluated within the scratch buffer. I confirmed
>>> it works fine under emacs 24 built with lucid, but fails to work when
>>> built with GTK2+. Others reported it worked find under win32, but failed
>>> on ns.
>>>
>>> (defun tx-greet ()
>>>   (interactive)
>>>   (message "Hello Tim!"))
>>>
>>> (defun tx-menu ()
>>>   (interactive)
>>>   (define-key lisp-interaction-mode-map [menu-bar tx]
>>>     '(menu-item "TX Test" tx-greet)))

I think the situation on W32 is more complex (but I don't have Windows
in front of me to check for sure).  I think the above will work if the
command is in a menu-bar menu, but not in a popup menu.